package cn.net.cpzslibs.prot.bean.res;

import java.util.List;

public class Prot10016ResultBean {
	//{"errcode":65519,"errmsg":"","result":1}
	private int currPackCount;//当前包序号
	private List<Prot10016ProductResultInfo> products;//产品数组
	private int totalCount;//总记录数
	
	private int errcode;
	private String errmsg;
	private int result;//0：请求成功     1：遇到错误信息，返回错误码
	public int getCurrPackCount() {
		return currPackCount;
	}
	public void setCurrPackCount(int currPackCount) {
		this.currPackCount = currPackCount;
	}
	public List<Prot10016ProductResultInfo> getProducts() {
		return products;
	}
	public void setProducts(List<Prot10016ProductResultInfo> products) {
		this.products = products;
	}
	public int getTotalCount() {
		return totalCount;
	}
	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	@Override
	public String toString() {
		return "Prot10016ResultBean [currPackCount=" + currPackCount + ", products=" + products + ", totalCount="
				+ totalCount + ", errcode=" + errcode + ", errmsg=" + errmsg + ", result=" + result + "]";
	}

}
